Subject: bug#64739: (forward-thing 'number) doesn't work with decimal numbers

From: Joseph Turner <[email-masked]>
Date: Sat, 22 Jul 2023 20:36:16 -0700

Eli Zaretskii <[email-masked]> writes:

> By "its own function" I meant that we implement it in Emacs, not that
> you implement it in your personal customizations.

I see that the definition of number-at-point includes two magic regexps,
one matching hex numbers and another matching decimal numbers. Would it
make sense to move those regexps into defconsts, and then create a new
function forward-number which uses those new constants?

Joseph